Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class BlockStackingLayoutManager.StackingIter

    java.lang.Object
      org.apache.fop.layoutmgr.PositionIterator
          org.apache.fop.layoutmgr.BlockStackingLayoutManager.StackingIter

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  BlockStackingLayoutManager

protected static class BlockStackingLayoutManager.StackingIter
extends PositionIterator

Method Summary
`protected LayoutManager` | `getLM(java.lang.Object nextObj)`
`protected Position` | `getPos(java.lang.Object nextObj)`

Methods inherited from class org.apache.fop.layoutmgr.PositionIterator
`checkNext, endIter, getNextChildLM, hasNext, next, peekNext, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLM

    protected LayoutManager getLM(java.lang.Object nextObj)

  Specified by:
    `getLM` in class `PositionIterator`

### getPos

    protected Position getPos(java.lang.Object nextObj)

  Specified by:
    `getPos` in class `PositionIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.